API ReferenceUnified modelsUnified products

Update a unified product

PUT
/unified/product/{unifiedProductId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

unifiedProductId*string

Request Body

application/json

name*string

Name of the product.

description?string|null

Description of the product.

type*string

Type or category of the product.

price*string

Price of the product (decimal as string).

Response Body

application/json

curl -X PUT "https://dev-backend.thelinks.ai/api/v1/unified/product/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Premium Rice",    "type": "food",    "price": "12000.00"  }'
{
  "data": {
    "id": "prod_12345",
    "source_system": "shopify",
    "source_system_img_url": "https://cdn.example.com/shopify.png",
    "source_id": "sf_98765",
    "external_system_provider_id": "provider_001",
    "external_system_config_id": "config_abc",
    "external_system_data": {
      "custom_field": "value"
    },
    "supporting_data_definition_id": "support_001",
    "name": "Premium Rice",
    "description": "High quality rice from Sumatra.",
    "type": "food",
    "price": "12000.00",
    "is_primary": true,
    "local_was_deleted": false,
    "local_was_updated": true,
    "source_data_created_at": "2024-01-01T12:00:00Z",
    "is_active": true
  }
}
Empty
Empty